import DprFiltersFormClass from '../filters-form/clientClass';
declare class SelectedFilters extends DprFiltersFormClass {
    static getModuleName(): string;
    /**
     * Initialises the Interactive selected filter button events
     *
     * - Updates the query parameter in the url
     * - Reloads the page to create the selected filter data server side
     * - selected filter data is passed to the render function
     *
     * @memberof SelectedFilters
     */
    initInteractiveSelectedFilterButtonsEvents(): void;
    initSelectedFiltersButtons(): void;
    /**
     * Initialises the input change event
     *
     * @param {NodeList} elements
     * @memberof SelectedFilters
     */
    initInputEventsForSelectedFilters(elements: any): void;
    /**
     * Creates the selected filter data and buttons
     *
     * @memberof SelectedFilters
     */
    getSelectedFilterData(): any[];
    /**
     * Creates the selected filters
     *
     * @param {NodeList} selectedFilters
     * @memberof SelectedFilters
     */
    createSelectedFilterElements(selectedFilters: any): void;
    /**
     * Gets the display value for a selected input
     *
     * @param {*} inputs
     * @return {string} the input diap
     * @memberof SelectedFilters
     */
    getInputDisplayValue(inputs: any): any;
    /**
     * Initialises the request selected filter button events
     *
     * - Updates the corresponding input value to null
     * - Dispatches an input change event to update to update the corresponding url search param
     *
     * @memberof SelectedFilters
     */
    initSelectedButtonEvent(): void;
    /**
     * Creates the selected input element
     *
     * @param {string} displayName
     * @param {string} displayValue
     * @param {string} key
     * @param {string} value
     * @return {element}
     * @memberof SelectedFilters
     */
    createSelectedFilterElement(selectedData: any): void;
    createNoFiltersSelectedMessageEl(): void;
    createResetButtonEl(): void;
    /**
     * Daterange
     * Filters the selected filters buttons to include valid preset date range buttons
     *
     * @param {*} selectedFilters
     * @return {*}
     * @memberof SelectedFilters
     */
    setPresetDateRangeSelectedFilter(selectedFilters: any): any;
    /**
     * Multiselect
     *
     * @param {*} selectedFilters
     * @return {*}
     * @memberof SelectedFilters
     */
    setMultiselectSelectedFilterValue(selectedFilters: any): any;
    /**
     * Daterange
     * Filters the selected filters buttons to include valid preset date range buttons
     *
     * @param {*} selectedFilters
     * @return {*}
     * @memberof SelectedFilters
     */
    setGranularDateRangeSelectedFilter(selectedFilters: any): any;
}
export { SelectedFilters };
export default SelectedFilters;
